Subject: bug#77774: stipples as fill-column indicator

From: Eli Zaretskii <[email-masked]>
Date: Thu, 24 Apr 2025 08:17:35 +0300

severity 77774 wishlist
thanks

> From: Johann Höchtl <[email-masked]>
> Date: Wed, 23 Apr 2025 18:13:30 +0200
> Cc: Eli Zaretskii <[email-masked]>, [email-masked]
> 
> Am Mi., 23. Apr. 2025 um 03:48 Uhr schrieb Po Lu <[email-masked]>:
> 
>  Johann Höchtl <[email-masked]> writes:
> 
>  >  I don't think stipple bitmaps are automatically extended as you change
>  >  the text scale.  Po Lu, is that supposed to work automagically
>  >  somehow?
> 
>  No, they're not.  Stipples are not designed for displaying lines or bars
>  after all, just repeating patterns that produce something of a dithering
>  effect.
> 
> I use indent-bars mode https://github.com/jdtsmith/indent-bars to a great extend. Indent bars-mode uses
> stipples to render straight lines for ... indent-bars.
> 
> This package manages to display straight lines irrespective of operating system screen scale value or
> Emacs scale-mode value other than 0.
> 
> As long as indent-bars mode doesn't use other drawing primitives than what
> (display-fill-column-indicator-mode) is using, I think the stipple behaviour of
> (display-fill-column-indicator-mode) contains a bug.

AFAIU, it isn't a bug, it's perhaps a missing feature.  To have
stipples scale correctly with text-scale, someone has to write code to
scale the bit patterns used for the stipples.  Patches to that effect
will be welcome.